output="$(
	pactl list |\
	grep -A2 '^Source #' |\
	grep 'Name: .*\.monitor$' |\
	awk '{print $NF}' |\
	tail -n 1 |\
	sed 's/.monitor$//'
)"

input="$(
	pactl list |\
	grep -A2 '^Source #' |\
	grep 'Name: .*\.analog-stereo$' |\
	awk '{print $NF}' |\
	tail -n 1
)"

pacat -r --latency-msec=1 -d "$input" |\
sox -t raw -r 44100 -s -L -b 16 -c 2 - -t raw - \
	compand 0.1,0.3 -60,-60,-30,-15,-20,-12,-4,-8,-2,-7 -2 \
	gain -6 \
	equalizer    40  .71q +12 \
	equalizer    80 1.10q  +0 \
	equalizer   240 1.80q  -3 \
	equalizer   500  .71q  +0 \
	equalizer  1000 2.90q  +0 \
	equalizer  4100  .51q  +2.5 \
	equalizer  8500  .71q  +2.0 \
	equalizer 17000  .71q  +6 \
	gain -3 \
	reverb 65 50 100 100 0 -10 \
	gain 9 |
pacat -p --latency-msec=1 -d "$output"
