if [ -n "$1" ]; then
	OUTFILE="$1"
else
	TIME=$(date +%y-%m-%d_%H%M%S)
	OUTFILE="smix_$TIME.wav"
fi

MONITOR=$(pactl list | grep -A2 '^Source #' | \
	grep 'Name: .*\.monitor$' | awk '{print $NF}' | tail -n1)

echo "${OUTFILE}"
echo "Recording. Stop using Ctrl-C"
parec -d "$MONITOR" | sox -t raw -r 44100 -sLb 16 -c 2 - "$OUTFILE"
